_AdvancedRadiansRobot (Robocode 1.2.4-Beta API)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## robocode
Class _AdvancedRadiansRobot

    java.lang.Object
      robocode._Robot
          robocode.Robot
              robocode._AdvancedRobot
                  robocode._AdvancedRadiansRobot

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  AdvancedRobot

    public class _AdvancedRadiansRobot

extends _AdvancedRobot

This class is used by the system as a placeholder for all *Radians calls in AdvancedRobot. You may refer to it for documentation.

You should create a `AdvancedRobot` instead.

There is no guarantee that this class will exist in future versions of Robocode.

(The Radians methods themselves will continue work, however).

Author:
  Mathew A. Nelson (original)
See Also:
  `AdvancedRobot`

Field Summary

Fields inherited from class robocode.Robot
`out`

Constructor Summary
`protected` | `_AdvancedRadiansRobot()`

Method Summary
`double` | `getGunHeadingRadians()` Returns gun heading in radians.
`double` | `getGunTurnRemainingRadians()` Gets angle remaining in the gun's turn, in radians
`double` | `getHeadingRadians()` Returns the direction the robot is facing, in radians.
`double` | `getRadarHeadingRadians()` Returns radar heading in radians.
`double` | `getRadarTurnRemainingRadians()` Gets angle remaining in the radar's turn, in radians
`double` | `getTurnRemainingRadians()` Gets angle remaining in the robot's turn, in radians.
`void` | `setTurnGunLeftRadians(double radians)` Sets the gun to turn left by radians.
`void` | `setTurnGunRightRadians(double radians)` Sets the gun to turn right by radians.
`void` | `setTurnLeftRadians(double radians)` Sets the robot to turn left by radians.
`void` | `setTurnRadarLeftRadians(double radians)` Sets the radar to turn left by radians.
`void` | `setTurnRadarRightRadians(double radians)` Sets the radar to turn right by radians.
`void` | `setTurnRightRadians(double radians)` Sets the robot to turn right by radians.
`void` | `turnGunLeftRadians(double radians)` Rotates your robot's gun.
`void` | `turnGunRightRadians(double radians)` Rotates your robot's gun.
`void` | `turnLeftRadians(double radians)` Rotates your robot.
`void` | `turnRadarLeftRadians(double radians)` Rotates your robot's radar.
`void` | `turnRadarRightRadians(double radians)` Rotates your robot's radar.
`void` | `turnRightRadians(double radians)` Rotates your robot.

Methods inherited from class robocode._AdvancedRobot
`endTurn, getGunHeadingDegrees, getHeadingDegrees, getMaxWaitCount, getRadarHeadingDegrees, getWaitCount, setTurnGunLeftDegrees, setTurnGunRightDegrees, setTurnLeftDegrees, setTurnRadarLeftDegrees, setTurnRadarRightDegrees, setTurnRightDegrees, turnGunLeftDegrees, turnGunRightDegrees, turnLeftDegrees, turnRadarLeftDegrees, turnRadarRightDegrees, turnRightDegrees`

Methods inherited from class robocode.Robot
`ahead, back, doNothing, finalize, fire, fireBullet, getBattleFieldHeight, getBattleFieldWidth, getEnergy, getGunCoolingRate, getGunHeading, getGunHeat, getHeading, getHeight, getName, getNumRounds, getOthers, getRadarHeading, getRoundNum, getTime, getVelocity, getWidth, getX, getY, onBulletHit, onBulletHitBullet, onBulletMissed, onDeath, onHitByBullet, onHitRobot, onHitWall, onPaint, onRobotDeath, onScannedRobot, onWin, resume, run, scan, setAdjustGunForRobotTurn, setAdjustRadarForGunTurn, setAdjustRadarForRobotTurn, setAllColors, setBodyColor, setBulletColor, setColors, setColors, setGunColor, setRadarColor, setScanColor, stop, stop, turnGunLeft, turnGunRight, turnLeft, turnRadarLeft, turnRadarRight, turnRight`

Methods inherited from class robocode._Robot
`getBattleNum, getGunCharge, getGunImageName, getLife, getNumBattles, getRadarImageName, getRobotImageName, setGunImageName, setInterruptible, setPeer, setRadarImageName, setRobotImageName, uninitializedException`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### _AdvancedRadiansRobot

    protected _AdvancedRadiansRobot()

Method Detail

### getHeadingRadians

    public double getHeadingRadians()

  Returns the direction the robot is facing, in radians. The value returned will be between 0 and 2 * PI.

  Returns:
    the direction the robot is facing, in radians.

### setTurnLeftRadians

    public void setTurnLeftRadians(double radians)

  Sets the robot to turn left by radians. This call returns immediately, and will not execute until you call execute() or take an action that executes.

### setTurnRightRadians

    public void setTurnRightRadians(double radians)

  Sets the robot to turn right by radians. This call returns immediately, and will not execute until you call execute() or take an action that executes.

### turnLeftRadians

    public void turnLeftRadians(double radians)

  Rotates your robot. This call executes immediately, and does not return until it is complete.

  Example

         turnLeftRadians(Math.PI / 2);

  Parameters:
    `radians` - How many radians to rotate left.

### turnRightRadians

    public void turnRightRadians(double radians)

  Rotates your robot. This call executes immediately, and does not return until it is complete.

  Example

         turnRightRadians(Math.PI / 2);

  Parameters:
    `radians` - How many radians to rotate right.

### getGunHeadingRadians

    public double getGunHeadingRadians()

  Returns gun heading in radians. This is a value from 0 to 2*Pi, where 0 points to the top of the screen.

  Returns:
    gun heading

### getRadarHeadingRadians

    public double getRadarHeadingRadians()

  Returns radar heading in radians. This is a value from 0 to 2*Pi, where 0 points to the top of the screen.

  Returns:
    radar heading

### setTurnGunLeftRadians

    public void setTurnGunLeftRadians(double radians)

  Sets the gun to turn left by radians. This call returns immediately, and will not execute until you call execute() or take an action that executes.

### setTurnGunRightRadians

    public void setTurnGunRightRadians(double radians)

  Sets the gun to turn right by radians. This call returns immediately, and will not execute until you call execute() or take an action that executes.

### setTurnRadarLeftRadians

    public void setTurnRadarLeftRadians(double radians)

  Sets the radar to turn left by radians. This call returns immediately, and will not execute until you call execute() or take an action that executes.

### setTurnRadarRightRadians

    public void setTurnRadarRightRadians(double radians)

  Sets the radar to turn right by radians. This call returns immediately, and will not execute until you call execute() or take an action that executes.

### turnGunLeftRadians

    public void turnGunLeftRadians(double radians)

  Rotates your robot's gun. This call executes immediately, and does not return until it is complete.

  Example

         turnGunLeftRadians(Math.PI /2);

  Parameters:
    `radians` - How many radians to rotate the gun left.

### turnGunRightRadians

    public void turnGunRightRadians(double radians)

  Rotates your robot's gun. This call executes immediately, and does not return until it is complete.

  Example

         turnGunRightRadians(Math.PI / 2);

  Parameters:
    `radians` - How many radians to rotate the gun right.

### turnRadarLeftRadians

    public void turnRadarLeftRadians(double radians)

  Rotates your robot's radar. This call executes immediately, and does not return until it is complete.

  Example

         turnRadarLeftRadians(Math.PI / 2);

  Parameters:
    `radians` - How many radians to rotate the radar left.

### turnRadarRightRadians

    public void turnRadarRightRadians(double radians)

  Rotates your robot's radar. This call executes immediately, and does not return until it is complete.

  Example

         turnRadarRightRadians(Math.PI / 2);

  Parameters:
    `radians` - How many radians to rotate the radar right.

### getGunTurnRemainingRadians

    public double getGunTurnRemainingRadians()

  Gets angle remaining in the gun's turn, in radians

  Returns:
    angle remaining in the gun's turn, in radians

### getRadarTurnRemainingRadians

    public double getRadarTurnRemainingRadians()

  Gets angle remaining in the radar's turn, in radians

  Returns:
    angle remaining in the radar's turn, in radians

### getTurnRemainingRadians

    public double getTurnRemainingRadians()

  Gets angle remaining in the robot's turn, in radians.

  Returns:
    angle remaining in the robot's turn, in radians

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD